#
# spec file for package icewm-themes
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define ICEWMDIR %{_datadir}/icewm
Name:           icewm-themes
Version:        0.1
Release:        689.6
Summary:        Themes for the IceWM Window Manager
License:        LGPL-2.1-or-later
Group:          System/GUI/Other
URL:            http://icewm.themes.org/
Source:         icewm-themes.tar.bz2
Requires:       icewm
BuildRequires:  fdupes
BuildArch:      noarch

%description
This package contains a collection of themes for the popular IceWM
window manager. Most of them have been taken from the original 0.9.42
themes package. Others have been taken from http://icewm.themes.org.

%prep

%build

%install
mkdir -p %{buildroot}%{ICEWMDIR}
tar jxvf %{SOURCE0} -C %{buildroot}%{ICEWMDIR}
find %{buildroot}%{ICEWMDIR} -type f -exec chmod 644 {} \;
find %{buildroot}%{ICEWMDIR} -type d -exec chmod 755 {} \;
find %{buildroot}%{ICEWMDIR} -type f -name "*~" | xargs -r rm -v
# moved to main icewm as a default theme
rm -rf %{buildroot}%{ICEWMDIR}/themes/Helix

# cleanup for rpmlint issues detected
%fdupes %{buildroot}%{ICEWMDIR}
rm %{buildroot}%{ICEWMDIR}/themes/daniel3/debug
rm %{buildroot}%{ICEWMDIR}/themes/easy/\#default.theme\#
# shell scripts are not needed by the themes
find %{buildroot}%{ICEWMDIR} -name convert.sh -delete -o -name mklink -delete

%files
%dir %{ICEWMDIR}
%{ICEWMDIR}/themes

%changelog
* Wed Aug 31 2022 Dominique Leuenberger <dimstar@opensuse.org>
- Fix rpmlint warnings and errors:
  + Add prep and build sections: Even if some packages don't
    directly need it, section markers may be overridden in rpm's
    configuration to provide additional 'under the hood'
    functionality.
  + Do not package unused shell sctips (convert.sh and mklinks).
  + Do not package backup file #default.theme#
  + De-duplicate files using fdupes.
* Fri Nov 10 2017 dimstar@opensuse.org
- Really drop the Helix theme.
* Wed Nov  1 2017 tchvatal@suse.com
- Drop Helix theme as it was merged to the main icewm package as
  default theme
- Cleanup with spec-cleaner
  * Noop just removes some noise
* Wed Sep  6 2006 pnemec@suse.cz
- fixed install path [#203491]
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Nov  3 2005 pnemec@suse.cz
- removing Adept [#131751]
- ading several themes
* Sun Mar 21 2004 ro@suse.de
- removed *~ backup files
* Tue Feb 24 2004 hmacht@suse.de
- building as non-root
* Wed Jun 18 2003 coolo@suse.de
- package directories
* Mon Mar  3 2003 nadvornik@suse.cz
- fixed icewm themes path [#24442]
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Fri Mar  8 2002 nadvornik@suse.cz
- fixed file permissions
* Mon Feb 11 2002 ro@suse.de
- tar option for bz2 is "j"
* Mon Jan  8 2001 grimmer@suse.de
- corrected Copyright to LGPL (same as IceWM)
* Tue Dec 19 2000 grimmer@suse.de
- new package (derived from package "icewm")
- added some new themes from http://icewm.themes.org
- created a single bzipped tarball
